Subject: Re: [Bug 204371] BUG kmalloc-4k (Tainted: G W ): Object padding overwritten

From: Michael Ellerman <[email-masked]>
Date: Wed, 31 Jul 2019 22:00:27 +1000

[email-masked] writes:

> https://bugzilla.kernel.org/show_bug.cgi?id=204371
>
> --- Comment #2 from Andrew Morton ([email-masked]) ---
> (switched to email.  Please respond via emailed reply-to-all, not via the
> bugzilla web interface).
>
>
> On Mon, 29 Jul 2019 22:35:48 +0000 [email-masked] wrote:
>
>> https://bugzilla.kernel.org/show_bug.cgi?id=204371
>> 
>>             Bug ID: 204371
>>            Summary: BUG kmalloc-4k (Tainted: G        W        ): Object
>>                     padding overwritten
>>            Product: Memory Management
>>            Version: 2.5
>>     Kernel Version: 5.3.0-rc2
>>           Hardware: PPC-32
>>                 OS: Linux
>>               Tree: Mainline
>>             Status: NEW
>>           Severity: normal
>>           Priority: P1
>>          Component: Slab Allocator
>>           Assignee: [email-masked]
>>           Reporter: [email-masked]
>>         Regression: No
>
> cc'ing various people here.
>
> I suspect proc_cgroup_show() is innocent and that perhaps
> bpf_prepare_filter() had a memory scribble.  iirc there has been at
> least one recent pretty serious bpf fix applied recently.  Can others
> please take a look?

I haven't been able to reproduce this on a 64-bit or 32-bit powerpc
machine here. But I don't run gentoo userspace, so I suspect I'm not
tripping the same path at boot. I did run the seccomp selftest and that
didn't trip it either.

cheers